#
%define		_state		stable
%define		orgname		zeroconf-ioslave
%define		qtver		4.8.0

Summary:	K Desktop Environment - Zeroconf IO Slave
Name:		kde4-zeroconf-ioslave
Version:	4.14.3
Release:	2
License:	GPL
Group:		X11/Applications
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	6b84e025800a93ae5a386123af8a12f2
URL:		http://www.kde.org/
Obsoletes:	kde4-kdenetwork-kdnssd
Obsoletes:	kde4-kdnssd
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Zeroconf IO Slave.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/kde4/kded_dnssdwatcher.so
%attr(755,root,root) %{_libdir}/kde4/kio_zeroconf.so
%{_datadir}/apps/remoteview/zeroconf.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%{_datadir}/kde4/services/kded/dnssdwatcher.desktop
%{_datadir}/kde4/services/zeroconf.protocol

%changelog
* Wed Oct 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-zeroconf-ioslave.git;a=log;h=master

* Wed Oct 02 2019 Jan Rękorajski <baggins@pld-linux.org> ed237fe
- rebuild for g++ ABI changes
- release 2 (by relup.sh)

* Sat Nov 15 2014 Jan Rękorajski <baggins@pld-linux.org> 7387dec
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> d77a5cf
- updated to 4.14.0

* Fri Jun 13 2014 Jan Rękorajski <baggins@pld-linux.org> 3491ba5
- obsolete kde4-kdnssd

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 795bcb5
- updated to 4.13.2 (by update-kde4.sh)

* Sun May 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b02d55a
- initial

